OpenAPI Specification

Returns the OpenAPI specification for the Scheduler API.

Authentication

This endpoint is public. No authentication required.

Example Request

curl "https://api.hola.cloud/openapi.json"
GET /openapi.json HTTP/1.1
Host: api.hola.cloud
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://api.hola.cloud/openapi.json", nil)
	if err != nil {
		panic(err)
	}

	resp, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer resp.Body.Close()

	responseBody, err := io.ReadAll(resp.Body)
	if err != nil {
		panic(err)
	}
	fmt.Println(string(responseBody))
}
<?php
$ch = curl_init();

curl_setopt_array($ch, [
    CURLOPT_URL => 'https://api.hola.cloud/openapi.json',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
]);

$response = curl_exec($ch);
if ($response === false) {
    throw new Exception(curl_error($ch));
}
curl_close($ch);

echo $response;
import requests

response = requests.request(
    "GET",
    "https://api.hola.cloud/openapi.json"
)

print(response.text)
const response = await fetch("https://api.hola.cloud/openapi.json", {
  method: "GET"
});

console.log(await response.text());
const response = await fetch("https://api.hola.cloud/openapi.json", {
  method: "GET"
});

const text = await response.text();
console.log(text);
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        var request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.hola.cloud/openapi.json"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        var response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}

Example Response

1HTTP/1.1 200 OK
2Content-Type: application/json
1{
2  "openapi": "3.1.0",
3  "info": {
4    "title": "Scheduler API",
5    "version": "1.0.0"
6  },
7  "paths": {}
8}

Error Codes

Status Code Description
500 internal_error Internal server error

Comments

Leave a comment